using Microsoft.Extensions.Logging;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service.Impl
{
    public class T_RP_StationPara_110_1ServiceImpl : BaseServiceImpl<T_RP_StationPara_110_1>, IT_RP_StationPara_110_1Service
    {
        private Repository<T_RP_StationPara_110_1> _repository;
        private ILogger<T_RP_StationPara_110_1ServiceImpl> _logger;
        public T_RP_StationPara_110_1ServiceImpl(Repository<T_RP_StationPara_110_1> repository, ILogger<T_RP_StationPara_110_1ServiceImpl> logger) :base(repository)
        {
            _repository = repository;
            _logger = logger;
        }

        public async Task<bool> AddTaskAsync(List<T_RP_StationPara_110_1> record)
        {
            try
            {
                bool result = await _repository.InsertRangeAsync(record);
                return result;
            }
            catch (Exception ex)
            {
                return false;
            }
          
        }
    }
}